import React from "react";
interface CustomIconComponents {
    ValidIcon: React.ReactNode;
    InvalidIcon: React.ReactNode;
}
interface PasswordProps {
    value: string;
    valueAgain?: string;
    minLength?: number;
    maxLength?: number;
    iconSize?: number;
    validColor?: string;
    invalidColor?: string;
    onChange?: (isValid: boolean) => any;
    messages?: {
        [key in RuleNames]?: string;
    };
    iconComponents?: CustomIconComponents;
}
export declare type RuleNames = "minLength" | "maxLength" | "specialChar" | "number" | "capital" | "match" | "lowercase" | "letter" | "notEmpty";
export interface ReactPasswordChecklistProps extends PasswordProps {
    className?: string;
    style?: React.CSSProperties;
    rules: Array<RuleNames>;
    rtl?: boolean;
    customSpecialChar?: RegExp;
}
declare const ReactPasswordChecklist: React.FC<ReactPasswordChecklistProps>;
export default ReactPasswordChecklist;
